%define upstream_name    Dist-Zilla-Plugin-MatchManifest
%define upstream_version 4.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Ensure that MANIFEST is correct
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.101.780
BuildRequires: perl(Dist::Zilla::Tester) >= 4.102.343
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Moose) >= 0.650.0
BuildRequires: perl(Moose::Autobox) >= 0.90.0
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Diff)
BuildRequires: perl(autodie)

BuildConflicts: cpanminus

BuildArch:  noarch

%description
If included, this plugin will ensure that the distribution contains a
_MANIFEST_ file and that its contents match the files collected by
Dist::Zilla. If not, it will display the differences and (if STDIN & STDOUT
are TTYs) offer to update the _MANIFEST_.

As I see it, there are 2 problems that a MANIFEST can protect against:

* 1.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 4.20.0-6.mga6
+ Revision: 1026315
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 4.20.0-5.mga6
+ Revision: 970332
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 4.20.0-4.mga6
+ Revision: 885943
- Fix BRs

* Wed Oct 15 2014 umeabot <umeabot> 4.20.0-3.mga5
+ Revision: 749425
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Jul 21 2014 sander85 <sander85> 4.20.0-1.mga5
+ Revision: 655083
- update to 4.02

* Sat Oct 19 2013 umeabot <umeabot> 4.10.0-2.mga4
+ Revision: 531913
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 4.10.0-1.mga4
+ Revision: 465696
- update to 4.01

* Sun Jan 13 2013 umeabot <umeabot> 4.0.0-2.mga3
+ Revision: 366264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 25 2011 jquelin <jquelin> 4.0.0-1.mga1
+ Revision: 59705
- update to 4.00

* Wed Jan 26 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 40466
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MatchManifest

